Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.laf.genes
Interface Mutator

All Superinterfaces
  Serializable

All Known Implementing Classes:
  Classifier, PathResolver

    public interface Mutator

extends Serializable

`Mutator` allows for `Gene` values to be altered dynamically. Multiple mutators can be applied to a single gene, and the mutators are applied to the gene value in configured document order. The original gene value is passed to the first mutator which returns a value that is passed to the second mutator; the value returned from the last mutator is the ultimate evaluated gene value.

See Also
  "Chromosome configuration element <gene>"
  This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`String` | `mutate(String mutatorName, String currentValue, Gene gene, Map<String,String> args, MutationContext context)` This method is called for each mutator associated with a gene.

Method Detail

### mutate

    String mutate(String mutatorName,
                  String currentValue,
                  Gene gene,
                  Map<String,String> args,
                  MutationContext context)
                  throws MutationException

  This method is called for each mutator associated with a gene. Mutators can accept an arbitrary set of arguments (represented as a `Map`) and mutator implementations should document expected arguments and value constraints; no formal argument checking is provided by Look and Feel.

  This method is called for every request and the resulting value is not cached in any way. Mutator implementations should ensure that the mutation process is performant.

  Parameters
    `mutatorName` - The configured name of the mutator
    `currentValue` - The current gene value; may be the result of prior mutators
    `gene` - The gene being mutated
    `args` - An arbitrary map of configured arguments
    `context` - The context for mutation
  Returns
    The mutated Gene value
  Throws
    `MutationException` - This exception is thrown to signify a problem with the mutation process.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.